# &konsolekalendar; Priročnik

Tuukka
Pasanen

    illuusio@mailcity.com

Allen
Winter

    winterz@kde.org

Malcolm
Hunter

    malcolm.hunter@gmx.co.uk

Recenzent
Luka
Puhar

    puhar.luka@gmail.com

Prevod
2002
2004
Tuukka Pasanen
2003
2007
Allen Winter
&FDLNotice;
23.11.2016
5.1.3 (Aplikacije 16.12)

&konsolekalendar; je vmesnik ukazne vrstice za &kde; koledarje.

KDE
&package;
&kappname;
KOrganizer

## Uvod

&konsolekalendar; je vmesnik ukazne vrstice za koledarje. Omogoča pregled, vstavljanje, odstranjevanje ali spreminjanje koledarskih dogodkov prek ukazne vrstice ali skriptnega jezika. Poleg tega lahko s &konsolekalendar; ustvarite nov koledar, izvozite koledar v različne druge formate in uvozite drug koledar.

V osnovnem načinu &konsolekalendar; prikaže seznam dogodkov v privzetem koledarju za trenutni dan (od 7:00 do 17:00).

Glavne značilnosti &konsolekalendar;:

- Ogled koledarskih vnosov od začetnega datuma/časa do končnega datuma/časa

- Vstavi (dodaj) koledarski vnos

- Odstrani (izbriši) vnos v koledarju

- Spremeni (zamenjaj) koledarski vnos

- Ustvari novega koledarja

- Izvozi koledarski vnos v druge oblike datotek

- Uvoz obstoječega koledarja

&konsolekalendar; ni še en grafični uporabniški vmesnik za koledar &kde; (tj. &korganizer;). &konsolekalendar; je namenjen izključno za uporabo, kjer grafični uporabniški vmesnik ni praktičen ali mogoč.

&konsolekalendar; ne zagotavlja celovitega jezika za poizvedovanje po uporabnikovem koledarju: niti ni namen avtorjev, da bi kdaj napisali takšno možnost. Za dostop do koledarskih dogodkov v zaporednem območju datumov/časovnih žigov so na voljo primitivne možnosti ukazne vrstice.

## Značilnosti

V tem poglavju boste spoznali glavne funkcije programa &konsolekalendar; in kako jih upravljati s parametri ukazne vrstice (ne pozabite, da &konsolekalendar; ni grafični uporabniški vmesnik; je samo program za ukazno vrstico).

Spoznali boste vstavljanje, brisanje in spreminjanje koledarskih dogodkov ter izvoz dogodkov v druge oblike datotek. V tem poglavju sta obravnavana tudi ustvarjanje in uvoz koledarjev.

### Pregled dogodkov

V privzetem načinu ali z uporabo možnosti `--view` bo &konsolekalendar; prikazal vse dogodke v območju določenega datuma/časa.

Če si želite ogledati vse današnje dogodke (od 7:00 do 17:00), preprosto zaženite:

    % konsolekalendar

V naslednjem primeru so prikazani vsi dogodki v tednu od 18. do 22. avgusta:

    % konsolekalendar --view --date 2016-08-18  --end-date 2016-08-22

Prikaži naslednje dogodke v koledarju od trenutnega časa naprej:

    % konsolekalendar --next

Če si želite ogledati vse dogodke v naslednjih 5 dneh, zaženite:

    % konsolekalendar --show-next 5

### Vstavljanje dogodkov

&konsolekalendar; lahko vstavi dogodke v koledar ali koledarski vir z argumentom ukazne vrstice `--add`. Uspešno vstavljeni dogodki bodo takoj prikazani v &kde; koledarskih aplikacijah (kot je &korganizer;).

Z uporabo dobite seznam vseh koledarjev in njihovih identifikatorjev:

    % konsolekalendar --list-calendars

V naslednjem primeru bo dogodek, ki se začne 01.12.2016 ob 10:00 in konča ob 12:00 s povzetkom "Obisk zdravnika", vstavljen v uporabnikov koledarski vir z id 8:

    % konsolekalendar --add --calendar 8 --date 2016-12-03 --time 10:00 \
    --end-time 12:00 --summary "Obisk zdravnika"

V tem primeru je rojstni dan dodan v uporabnikov koledarski vir z id 8:

    % konsolekalendar --add --calendar 8 --date 2016-12-06 --summary "Moj rojstni dan" \
    --description "Čas za zabavo"

Tukaj je enotedenski dopust vstavljen v koledar z id 8:

    % konsolekalendar --add --calendar 12 --date 2017-08-01 \
    --end-date 2017-08-07 --summary "Počitnice" --description "Nihče me nikoli ne bo našel!"

### Odstranjevanje vnosov

&konsolekalendar; podpira odstranjevanje vnosov v datoteki ali viru koledarja z uporabo argumenta `--delete` ukazne vrstice. Vnosi koledarja, ki jih je treba odstraniti, so točno določeni s svojim unikatnim identifikatorjem niza (UID) z uporabo možnosti `--uid`. UID se poišče tako, da se najprej pogleda dogodek z uporabo možnosti `--view`, `--next` ali `--show-next`.

Uspešno izbrisani dogodki bodo takoj odstranjeni iz aplikacij &kde; koledarja (na primer &korganizer;).

Ko nekaj izbrišete iz koledarja, tega ne morete povrniti! Z drugimi besedami, ko izbrišete vnos, izbrisa ne morete razveljaviti. Za vedno je izgine.

Tukaj izbrišemo koledarski vnos z UID &konsolekalendar;-1887551750.196:

    % konsolekalendar --delete --uid &konsolekalendar;-1887551750.196

### Spreminjanje vnosov

&konsolekalendar; podpira spreminjanje obstoječih vnosov v datoteki ali viru koledarja z uporabo argumenta ukazne vrstice `--change`. Vnosi koledarja, ki jih je treba spremeniti, so točno določeni s svojim unikatnim identifikatorjem nizaUID) z uporabo možnosti `--uid`. UID se poiščejo tako, da se najprej pregleda dogodek z uporabo možnosti `--view`, `--next` ali `--show-next`.

Spreminjanje poteka enako kot vstavljanje: spremenite lahko datum in čas začetka dogodka, datum in čas konca, povzetek, lokacijo in opis. Uspešno spremenjeni dogodki se takoj prikažejo spremenjeni v &kde; aplikacijah koledarja (&korganizer;).

Primer: Tukaj spremenimo povzetek in opis koledarskega vnosa z UID &konsolekalendar;-1887551750.196:

%``konsolekalendar` `--change` `--uid &konsolekalendar;-1887551750.196` `--summary "Preglejte mi glavo"` `--description "ne hodi več k temu zdravniku!"``

### Ustvarjanje nove datoteke koledarja

&konsolekalendar; lahko uporabite za ustvarjanje novih koledarjev iz obstoječih datotek. Koledar lahko ustvarite z možnostjo `--create` z imenom datoteke kot argumentom. Datoteka mora biti veljavna datoteka iCal ali vCal.

Opomba: Da preverite, ali je vir mogoče ustvariti Ne morete uporabiti možnosti -`--dry-run`.

Opomba: &konsolekalendar; zahteva, da datoteka deluje, zato datoteke nikoli ne izbrišite ročno.

Tehnična opomba: &konsolekalendar; s tem ukazom ustvari nov vir Akonadi, ki kaže na to datoteko. Ne preprečuje ustvarjanja več virov, ki kažejo na isto datoteko.

Ustvarite nov koledar iz obstoječe datoteke z imenom `počitnice.ics`:

    % Konsolekalendar ---create počitnice.ics

Vir bo poimenovan počitnice z uporabo -`--list-calendars`

Vira Akonadi ni mogoče izbrisati s &konsolekalendar;, uporabiti morate &korganizer; ali akonadiconsole.

### Izvoz v druge formate

&konsolekalendar; lahko izvozi koledar v druge dobro znane formate. Izvoz je posebna oblika gledanja. Dogodki so privzeto prikazani v obliki &konsolekalendar; besedilo. Če želite spremeniti obliko ogleda, uporabite argument ukazne vrstice `--export-type`.

Če si želite ogledati seznam vseh podprtih oblik izvoza, uporabite možnost `--export-list`, kot v:

    % konsolekalendar --export-list

### Izvozne oblike

Nekatere, vendar ne nujno vse, podprte oblike zapisa so opisane v tem razdelku.

#### &konsolekalendar; Oblika besedila

&konsolekalendar; Oblika besedila je izvorna oblika &konsolekalendar; in je zasnovana tako, da je udobna za branje in razčlenjena z nadaljnjimi skripti.

Oblika besedila &konsolekalendar; je:

    Datum:\t<Incidenčni datum>(dddd yyyy-MM-dd)
    [\t<Incidenčni začetni čas>(hh:mm) - <Incidenčni končni čas>(hh:mm)]
    Povzetek:
    \t<Incidenčni povzetek | "(povzetek ni na voljo)">
    Lokacija:
    \t<Incidenčna lokacija | "(lokacija ni na voljo)">
    Opis:
    \t<Incidenčni opis | "(opis ni na voljo)">
    UID:
    \t<incidenčni UID>

Izhod ``konsolekalendar` --next `--export-type` `` `Besedilo``:

    Datum:   Torek 2016-11-29
            08:00 - 09:00
    Povzetek:
            Sestanek osebja
    Lokacija:
            Konferenčna soba
    Opis:
            Sestani se s celotnim osebjem, da se pogovorimo o projektu.
    UID:
            &konsolekalendar;-1924621834.134
    --------------------------------------------------

#### &konsolekalendar; Oblika kratkega besedila

Oblika kratkega besedila zagotavlja bolj kompaktno, manj besedno različico izvorne oblike &konsolekalendar;.

&konsolekalendar; oblika kratkega besedila je:

    [--------------------------------------------------]
    {<Incidenčni datum>(dddd yyyy-MM-dd)]
    [<Incidenčni začetni čas>(hh:mm) - <Incidenčni končni čas>(hh:mm) | "\t"]
    \t<Incidenčni povzetek | \t>[, <Incidenčna lokacija>]
    \t\t<Incidenčni opis | "\t">

Izpis ``konsolekalendar` `--next` `--export-type` `Short``:

    --------------------------------------------------
    Torek 2016-11-29
    08:00 - 09:00   Sestanek z osebjem, Konferenčna soba
                    Sestani se s celotnim osebjem, da se pogovorimo o projektu.

#### Oblika zapisa vrednosti, ločenih z vejico (CSV)

Oblika: Vrednosti, ločene z vejico, prikaže vrednosti dogodka v enakem vrstnem redu kot &konsolekalendar; Besedilna oblika. Edina razlika je, da so vse informacije v isti vrstici, pri čemer je vsako polje ločeno z vejico. Nastale izvožene datoteke lahko uvozite neposredno v programe za preglednice, kot so &calligrasheets;, OpenOffice.org Calc in &Microsoft; Excel. Tudi format CSV je enostavno razčleniti z nadaljnjimi skripti.

Oblika vrednosti, ločenih z vejico (CSV), je:

    "Dan v tednu, dan v mesecu, leto", "HH:MM", "Dan v tednu, dan v mesecu, leto", "HH:MM", "Povzetek", "Lokacija", "Opis", "UID"

Izpis ``konsolekalendar` `--next` `--export-type` `CSV``:

    "Torek, 29. november 2016", "08:00", "Torek, November 29, 2016", "09:00", "Sestanek osebja", "Konferenčna soba", "Sestanek v veliki konferenčni \
    soba s celotnim osebjem.","&konsolekalendar;-1924621834.134"

### Uvažanje koledarjev

&konsolekalendar; v koledar lahko uvozi koledarsko datoteko iCal ali vCal. Vstavljeni bodo vsi dogodki iz koledarja, iz katerega se uvažajo, pri čemer bodo preskočeni enaki dogodki, ki so že del koledarja.

Če želite uvoziti počitnice.ics v koledarju.ics v koledar z zagonom id-ja 8:

    % konsolekalendar --import počitnice.ics --calendar 8

## Argumenti ukazne vrstice

&konsolekalendar; podpira naslednje možnosti:

Možnost | Opis
--- | ---
Splošne možnosti:
`--help, --help-all` | Prikaže pomoč o možnostih programa.
`--author` | Prikaže informacije o avtorju programa.
`-v, --version` | Prikaže informacije o različici programa.
`--license` | Prikaže informacije o licenci programa.
Možnosti:
`--verbose` | Natisni koristna sporočila v času izvajanja.
`--dry-run` | Natisni, kar bi bilo treba storiti, vendar ne izvedit. Ne spreminjajte nobenih datotek; ne vstavljajte, odstranjujte, spreminjajte obstoječih datotek in ne ustvarjajte novih datotek.
`--allow-gui` | Dovolite vire, ki morda potrebujejo interaktivni uporabniški vmesnik. Pri običajnem delovanju se uporabljajo samo viri, ki nikoli ne bodo potrebovali uporabniškega vmesnika (na primer datotečni koledarji).
Vrste pojavov (te možnosti je mogoče kombinirati):
`--event` | Deluj samo za dogodke (privzeto).
`--todo` | Delujte samo za Todo-je. (Ni izvedeno)
`--journal` | Deluj samo za dnevnike. (Ni izvedeno)
Glavni načini delovanja:
`--view` | Natisni koledarske dogodke v izbranem formatu za izvoz.
`--add` | V koledar vstavite dogodek.
`--change` | Spremeni obstoječ dogodek v koledarju.
`--delete` | Odstrani obstoječi koledarski dogodek.
`--create` filename | Ustvarite nov koledar iz obstoječe datoteke.
`--import` import-file | Uvozi ta koledar v glavni koledar.
`--list-calendars` | Seznam razpoložljivih koledarjev.
Modifikatorji delovanja:
`--all` | Pogled vseh vnosov v koledarju.
`--next` | Pogled naslednje dejavnosti v koledarju.
`--show-next` days | Od določenega datuma naprej prikaži dejavnosti za naslednjih # dni.
`--uid` UID | Pogled, brisanje ali spreminjanje dogodka s tem enoličnim nizom identifikatorja.
`--date` date | Začni na ta dan [YYYY-MM-DD]. Privzeti datum je Danes
`--time` time | Začetek ob tej uri [HH:MM]. Privzeta ura za ogled je 07:00. Če želite dodati ali spremeniti plavajoči dogodek, uporabite možnosti `--time float` ali `--end-time float`.
`--end-date` end-date | Konec na ta dan [YYYY-MM-DD]. Privzeto je nastavljeno z `--date`.
`--end-time` end-time | Konec ob tej uri [HH:MM]. Privzeta končna ura za ogled je 17:00. Če želite dodati ali spremeniti plavajoči dogodek, uporabite možnosti `--time float` ali `--end-time float`.
`--epoch-start` epoch-time | Začetek ob tem času [sekunde od epohe].
`--epoch-end` epoch-time | Končaj ob tem času [sekunde od epohe].
`--summary` summary | Dodaj povzetek dogodku (deluje z dodajanjem in spreminjanjem).
`--description` description | Dodaj opis dogodku (deluje z dodajanjem in spreminjanjem).
`--location` location | Dodaj lokacijo dogodku (deluje z dodajanjem in spreminjanjem).
`--calendar` id | Določite koledar, ki ga želite uporabiti. Če ni navedeno, se uporabi privzeti vir &korganizer;.
Možnosti izvoza:
`--export-type` export-type | Vrsta izvozne datoteke. Privzeta vrsta izvozne datoteke je Besedilo
`--export-file` export-file | Izvozi v datoteko. Privzeto je izhod zapisan na standardni izhod.
`--export-list` | Natisnite seznam podprtih vrst izvoza in zaključite.

## Vprašanja in odgovori

Katere konfiguracijske datoteke uporablja &konsolekalendar;?

Nobene.

Kakšna so imena aplikacij za &konsolekalendar;?

Ime aplikacije &konsolekalendar; je konsolekalendar.

Kakšen je format specifikacije datuma?

&konsolekalendar; zavrne datume, ki so navedeni v ukazni vrstici, razen če so navedeni v skladu s standardi ISO 8601, in sicer: YYYY-MM-DD. Pri čemer je YYYY štirimestno leto (na primer 2003), MM dvomestni mesec (01,02,...12) in DD dvomestni dan (01,02,...31).

&konsolekalendar; vedno izvozi datume v skladu z obliko ISO 8601.

Kakšen je format časovne specifikacije?

&konsolekalendar; zavrne čase, ki so navedeni v ukazni vrstici, razen če so navedeni v skladu s standardi ISO 8601, in sicer: HH:MM:SS. Pri čemer HH predstavlja dvomestno uro (01,02,...,24), MM predstavlja dvomestno minuto (01,02,...,60) in SS predstavlja dvomestno sekundo (01,02,...,60).

&konsolekalendar; vedno izvaža čase v skladu z obliko ISO 8601.

Ali bo &konsolekalendar; vstavil nov dogodek, ki je enak dogodku, ki že obstaja v koledarju?

Ne. Glejte naslednje vprašanje.

Kako &konsolekalendar; ugotovi, ali je dogodek enak dogodku, ki že obstaja v koledarju?

&konsolekalendar; preveri navedeni začetni datum in čas, končni datum in čas ter povzetek glede na vse dogodke v koledarju. Dogodek se ujema, če se vse tri vrednosti ujemajo z obstoječim dogodkom.

Ali je mogoče dogodek, ki ni spremenljiv, spremeniti v spremenljiv dogodek?

Da. Uporabite `--time float` možnost z `--change`.

Zakaj so UID-i dogodkov natisnjeni v večini izvoznih formatov?

Ker morate za brisanje ali spreminjanje dogodkov določiti UID. Če ne želite prikazati UID dogodkov, uporabite vrsto izvoza short (`--export-type short`).

Kako lahko svoje vprašanje dodam v ta FAQ?

Vprašanja pošljite na winter@kde.org.

## Zasluge in licenca

&konsolekalendar; Program copyright 2002-2007:

- Tuukka Pasanen illuusio@mailcity.com

- Allen Winter winter@kde.org

Avtorske pravice za dokumentacijo iz leta 2003:

- Allen Winter winter@kde.org

- Tuukka Pasanen illuusio@mailcity.com

Prevod: Luka Puharpuhar.luka@gmail.com

&underFDL; &underGPL;

&documentation.index;